Search found 20 matches

by DrMacabre
Friday 03 February 2017 19:45
Forum: Bugs and Problems
Topic: Mi_light Ibox v6 (API) not working
Replies: 308
Views: 42036

Re: Mi_light Ibox v6 (API) not working

Ok, it's workng now, settings are RGBW / V6 even with RGB only strips.
If you set it to RGB, it doesn't work.
by DrMacabre
Friday 03 February 2017 19:32
Forum: Bugs and Problems
Topic: Mi_light Ibox v6 (API) not working
Replies: 308
Views: 42036

Re: Mi_light Ibox v6 (API) not working

Im on latest beta yes 6595, does it works with RGB strips only ? I don't have RGBW.
by DrMacabre
Friday 03 February 2017 19:22
Forum: Bugs and Problems
Topic: Mi_light Ibox v6 (API) not working
Replies: 308
Views: 42036

Re: Mi_light Ibox v6 (API) not working

Strange, port is 8899 when im logging into it but gives an error when set to it in domoticz.

It was in STA mode already but nothing happens when using domoticz. Is it supposed to work straight of the box with the dimmer switch device in domoticz or does it need some script ?
by DrMacabre
Friday 03 February 2017 16:10
Forum: Bugs and Problems
Topic: Mi_light Ibox v6 (API) not working
Replies: 308
Views: 42036

Re: Mi_light Ibox v6 (API) not working

I'm currently using it with the apps. How to you set it to STA mode ? I used smart link when pairing it to my phone.

Captainslow, you posted a few screenshots from a configuratîon app, what is this app?
by DrMacabre
Friday 03 February 2017 13:17
Forum: Bugs and Problems
Topic: Mi_light Ibox v6 (API) not working
Replies: 308
Views: 42036

Re: Mi_light Ibox v6 (API) not working

Hello,

How do you know what version of ibox you have ? Just received ibox2 but can't figure how to make it works.

Do you confirm that the default port is 8899 ?

Thanks.
by DrMacabre
Friday 30 December 2016 18:51
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

Still better than nothing, the station is a few KM away. I will see how it works for a few days. Thanks again.
by DrMacabre
Friday 30 December 2016 18:20
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

Image

:)

Dank u wel, i was so lost. It works fine with a hardcoded temp file. Dunno why not with a generated one.
by DrMacabre
Friday 30 December 2016 14:39
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

Thank you. I start to feel im even understanding what i'm reading :D still getting a nil value with this. tmpfile = os.tmpname() cmd = 'curl "http://www.ogimet.com/cgi-bin/getsynop?block='..WMOID..'&begin='..UTC..'"' .. ' > ' .. tmpfile if( DEBUG == 1) then print(cmd) end os.execute(cmd) local ogime...
by DrMacabre
Friday 30 December 2016 12:52
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

Hello,

What is the "r" for in your exemple ?

local config = io.open(tmpfile, "r")
by DrMacabre
Thursday 29 December 2016 7:02
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

I've tested the api, it returns all the proper data btw.
by DrMacabre
Thursday 29 December 2016 6:41
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

ok. i removed the ) error is still here (a nil value)

thats weird, i've read the whole topic about this script, seems to be working pretty fine for everyone with a lot of debugging since the origin of the code.

thanks for your help.
by DrMacabre
Thursday 29 December 2016 6:10
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

hi, missing a ( before 'curl http://
local location = config:read('*all') instead of ("*all") may be ?

still getting an error.
2016-12-29 05:05:00.018 Error: EventSystem: in Lux Sensor 2: [string "--[[ Virtual Lux sensor and other real-t..."]:76: attempt to index local 'config' (a nil value)
by DrMacabre
Wednesday 28 December 2016 19:14
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported

Thank you very much, I'll give it a try.
by DrMacabre
Tuesday 27 December 2016 12:11
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

if popen is not supported try using os.execute and save the output to a file in the tmp file, read that... Good, at least it's going to the next line :D 2016-12-27 11:10:00.600 Error: EventSystem: in Lux Sensor: [string "--[[ Virtual Lux sensor and other real-t..."]:66: attempt to index local 'conf...
by DrMacabre
Tuesday 27 December 2016 9:11
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

Sorry, i forgot to mention i'm on freenas trying to run the Lux Sensor script which has nothing to do with JQ.

Still, i have this popen not supported error and no one seems to have a clue why. :/
by DrMacabre
Monday 26 December 2016 22:51
Forum: LUA
Topic: Trying to run LUA Script got error 'popen' not supported-osx
Replies: 28
Views: 3629

Re: Trying to run LUA Script got error 'popen' not supported-osx

Hello, I'm running into a similar issue with a different script. Just to make sure, i tried lua command with no success but i had lua52 installed. root@domoticz:/ # lua lua: Command not found. root@domoticz:/ # lua52 Lua 5.2.4 Copyright (C) 1994-2015 Lua.org, PUC-Rio > io.popen("/usr/local/bin/jq") ...
by DrMacabre
Monday 26 December 2016 19:04
Forum: LUA
Topic: Real-time solar data : azimuth, Altitude, Lux sensor...
Replies: 234
Views: 41949

Re: Real-time solar data : azimuth, Altitude, Lux sensor...

The install is a couple of days old, haven't seen any error during compiling.

I guess i'll wait for my rasperry to arrive to check this out.

Thanks.
by DrMacabre
Monday 26 December 2016 18:08
Forum: LUA
Topic: Real-time solar data : azimuth, Altitude, Lux sensor...
Replies: 234
Views: 41949

Re: Real-time solar data : azimuth, Altitude, Lux sensor...

I've read this topic but since its related to mac osx, i'm not sure i fully understand how to translate this to my freenas install.

I tried running Lua in the shell but it is not a valid command on my system. Any idea how to set it up ?

EDIT : installed package for lua52 but i still got the error
by DrMacabre
Monday 26 December 2016 17:34
Forum: LUA
Topic: Real-time solar data : azimuth, Altitude, Lux sensor...
Replies: 234
Views: 41949

Re: Real-time solar data : azimuth, Altitude, Lux sensor...

hello, i'm trying to make this work on freenas but i get this error when the script runs : 2016-12-26 16:25:00.513 Error: EventSystem: in /usr/home/domoticz/domoticz/scripts/lua/script_time_SolarSensor.lua: ...omoticz/domoticz/scripts/lua/script_time_SolarSensor.lua:65: 'popen' not supported what di...